import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/communities/domain/models/space_model.dart';
import 'package:syncrow_web/pages/space_management_v2/modules/space_details/presentation/widgets/space_details_dialog.dart';

abstract final class SpaceDetailsDialogHelper {
  static void showCreate(BuildContext context) {
    showDialog<void>(
      context: context,
      builder: (_) => SpaceDetailsDialog(
        title: const Text('Create Space'),
        spaceModel: SpaceModel.empty(),
        onSave: (space) => print(space),
      ),
    );
  }

  static void showEdit(
    BuildContext context, {
    required SpaceModel spaceModel,
  }) {
    showDialog<void>(
      context: context,
      builder: (_) => SpaceDetailsDialog(
        title: const Text('Edit Space'),
        spaceModel: spaceModel,
        onSave: (space) {},
      ),
    );
  }
}
